XnModuleAudioGeneratorInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnModuleGeneratorInterface * | pGeneratorInterface
XnUChar *(* | GetAudioBuffer )(XnModuleNodeHandle hGenerator)
XnUInt32(* | GetSupportedWaveOutputModesCount )(XnModuleNodeHandle hGenerator)
XnStatus(* | GetSupportedWaveOutputModes )(XnModuleNodeHandle hGenerator, XnWaveOutputMode *aSupportedModes, XnUInt32 *pnCount)
XnStatus(* | SetWaveOutputMode )(XnModuleNodeHandle hGenerator, const XnWaveOutputMode *OutputMode)
XnStatus(* | GetWaveOutputMode )(XnModuleNodeHandle hGenerator, XnWaveOutputMode *OutputMode)
XnStatus(* | RegisterToWaveOutputModeChanges )(XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromWaveOutputModeChanges )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## Detailed Description

Audio Generator Interface.

## Member Data Documentation

## GetAudioBuffer

XnUChar *(* XnModuleAudioGeneratorInterface::GetAudioBuffer) (XnModuleNodeHandle hGenerator)

## GetSupportedWaveOutputModes

XnStatus(* XnModuleAudioGeneratorInterface::GetSupportedWaveOutputModes) (XnModuleNodeHandle hGenerator, XnWaveOutputMode *aSupportedModes, XnUInt32 *pnCount)

## GetSupportedWaveOutputModesCount

XnUInt32(* XnModuleAudioGeneratorInterface::GetSupportedWaveOutputModesCount) (XnModuleNodeHandle hGenerator)

## GetWaveOutputMode

XnStatus(* XnModuleAudioGeneratorInterface::GetWaveOutputMode) (XnModuleNodeHandle hGenerator, XnWaveOutputMode *OutputMode)

## pGeneratorInterface

XnModuleGeneratorInterface* XnModuleAudioGeneratorInterface::pGeneratorInterface

## RegisterToWaveOutputModeChanges

XnStatus(* XnModuleAudioGeneratorInterface::RegisterToWaveOutputModeChanges) (XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

## SetWaveOutputMode

XnStatus(* XnModuleAudioGeneratorInterface::SetWaveOutputMode) (XnModuleNodeHandle hGenerator, const XnWaveOutputMode *OutputMode)

## UnregisterFromWaveOutputModeChanges

void(* XnModuleAudioGeneratorInterface::UnregisterFromWaveOutputModeChanges) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

The documentation for this struct was generated from the following file:

- XnModuleInterface.h